@import "../../../../styles/global/var";

saved-searches {
    display: block;
}

.saved-searches {
    &__section {
        &._search {
            display: flex;
            align-items: center;
            padding: 24px 24px 16px;
        }
    }
    &__list {
        &-header & {
            &-row {
                background-color: $pre-bg;
            }
            &-col {
                &._name,
                &._owner {
                    text-transform: uppercase;
                    color: $gray57c;
                    font-weight: 700;
                    font-size: 12px;
                    line-height: 16px;
                }
            }
        }
        &-row {
            display: flex;
            align-items: center;
            padding: 8px 0;
            box-shadow: 0px -1px 0px $gray3e5;
        }
        &-row._create & {
            &-col {
                &._owner {
                    flex-basis: 80px;
                }
            }
        }
        &-row._empty & {
            &-col {
                flex: auto;
                text-align: center;
            }
        }
        &-col {
            &._star {
                flex: 0 0 56px;
                text-align: right;
            }
            &._name {
                flex: auto;
                padding-left: 16px;
                display: flex;
                align-items: center;
                font-size: 14px;
                line-height: 24px;
                min-width: 0;
            }
            &._owner {
                flex: 0 0 136px;
                padding-left: 24px;
                font-size: 14px;
                line-height: 24px;
                color: $black;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
            }
            &._menu {
                flex: 0 0 72px;
                text-align: center;
            }
            &._actions {
                flex: 0 0 128px;
                text-align: center;
            }
        }
    }
    &__search {
        &-container {
            margin: 0 24px 0 0;
        }
    }
    &__item {
        &-input {
            &-container {
                margin: 0;
            }
        }
        &-name {
            min-width: 0;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            cursor: pointer;
            color: $brand-light;
            transition: color .15s ease;
            font-weight: 500;
            &._active {
                color: $blue-dark
            }
            &:hover {
                color: $brand-light-hover;
                &._active {
                    color: #03213A;
                }
            }
        }
        &-info {
            font-size: 0;
            position: relative;
        }
        &-icon {
            &._info {
                margin: 0 4px 0 0;
                cursor: default;
            }
        }
        &-menu {
            &.md-button.md-icon-button {
                margin: 0;
            }
        }
    }
    &__favorite,
    &__close {
        &.md-button.md-icon-button {
            width: 32px;
            height: 32px;
            margin: 0;
            padding: 4px;
            min-height: 32px;
            min-width: 32px;
            color: $gray57c;
        }
    }
    &__clear {
        &.md-button.md-icon-button {
            width: 24px;
            height: 24px;
            margin: 0;
            padding: 0;
            min-height: 24px;
            min-width: 24px;
            color: $gray57c;
        }
    }
    &__favorite {
        &-icon {
            color: currentColor;
            &:hover {
                color: $black;
            }
            &._star {
                &._filled {
                    color: $yellow-new;
                    &:hover {
                        color: $black;
                    }
                }
            }
        }
    }
}
